Bug 255598 - Git plugin: annotation bar should have some context menu allowing me to perform actions
Summary: Git plugin: annotation bar should have some context menu allowing me to perfo...
Status: RESOLVED FIXED
Alias: None
Product: kdevplatform
Classification: Developer tools
Component: vcs (show other bugs)
Version: 1.1.0
Platform: Gentoo Packages Linux
: HI wishlist with 20 votes (vote)
Target Milestone: 1.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-29 18:30 UTC by Mihai
Modified: 2011-05-20 17:45 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mihai 2010-10-29 18:30:14 UTC
Version:           4.1.0 (using KDE 4.4.5) 
OS:                Linux

I would like to be able to perform more actions on the annotation bar.

Would be nice to right-click a commit SHA and then open a context menu where i can
 - copy SHA (at least)
 - open full information about this commit showwing commited files, altered files, ability to perform diff for those files. 
 - other actions i cannot think of right now.

Right now i cannot even copy commit hash value to use it in command line. 


Reproducible: Always




OS: Linux (x86_64) release 2.6.29-gentoo-r5
Compiler: x86_64-pc-linux-gnu-gcc
Comment 1 Milian Wolff 2010-10-30 19:01:18 UTC
indeed, the annotation bar could be improved
Comment 2 Aleix Pol 2011-05-20 17:45:39 UTC
Git commit 2bed4ec46286dd9bccec07e4812f1bbe0e43e865 by Aleix Pol.
Committed on 20/05/2011 at 18:43.
Pushed by apol into branch 'master'.

Added new features to the annotation bar context menu
Copy revision id.
Show the History Dialog.

Hello from the Akademy-es! \o/

BUG: 255598
REVIEW: 101392

M  +1    -0    vcs/CMakeLists.txt     
M  +33   -7    vcs/vcspluginhelper.cpp     
M  +3    -2    vcs/vcspluginhelper.h     
A  +31   -0    vcs/widgets/flexibleaction.cpp         [License: GPL (v2+)]
A  +39   -0    vcs/widgets/flexibleaction.h         [License: GPL (v2+)]

http://commits.kde.org/kdevplatform/2bed4ec46286dd9bccec07e4812f1bbe0e43e865